(*^

::[paletteColors = 128; automaticGrouping; currentKernel; 
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e8,  24, "Times"; ;
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e6,  18, "Times"; ;
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, L1, e6,  14, "Times"; ;
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, L1, a20,  18, "Times"; ;
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, L1, a15,  14, "Times"; ;
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, L1, a12,  12, "Times"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = input, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L1,  12, "Courier"; ;
	fontset = output, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = message, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = print, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = info, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287, L1,  12, "Courier"; ;
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic, L1,  10, "Times"; ;
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = Left Header, nohscroll, cellOutline,  12;
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, L1,  12;
	fontset = Left Footer, cellOutline, blackBox,  12;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12, "Courier"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;]
:[font = title; inactive; Cclosed; preserveAspect; startGroup; ]
Lab 8:  Taylor Series
:[font = text; inactive; preserveAspect; ]
The Taylor series of a function is a power series that has the same values as the function on some interval.  We studied Taylor series in Sections 10.8 of Stein's textbook.  This lab shows how Mathematica works with Taylor series.  Pages 216-222 in the Crooke/Ratcliffe Guidebook cover some of this material.
;[s]
5:0,0;4,1;17,2;193,3;204,4;308,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Taylor Polynomials
:[font = text; inactive; preserveAspect; ]
A Taylor polynomial is a truncation of a Taylor series.  Mathematica's Series command produces Taylor polynomials for a given function.
;[s]
7:0,0;2,1;19,2;57,3;68,4;70,5;78,6;136,-1;
7:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Example
:[font = text; inactive; preserveAspect; ]
Consider the sine function
:[font = input; preserveAspect; ]
f[x_] := Sin[x]
:[font = input; preserveAspect; ]
Plot[ f[x], {x,-Pi,Pi} ];
:[font = text; inactive; preserveAspect; ]
The following command produces the 8th Taylor polynomial of f centered at 0
;[s]
3:0,0;59,1;62,2;76,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
Series[ f[x], {x,0,8} ]
:[font = text; inactive; preserveAspect; ]
The last term, O[x]^9, is an asymptotic experssion.  It merely indicates that the complete Taylor series consists of the preceding polynomial followed by terms all of which have x^9 as a factor.
;[s]
6:0,0;14,1;21,2;29,3;50,4;177,5;194,-1;
6:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
Notice that the sine's Taylor polynomial only has terms with odd powers (1, 3, 5, 7, etc.).  That is because the sine is an "odd" function:  sin(-x) = - sin x.  Its graph is symmetric about the origin, and so are the graphs of all its Taylor polynomials.
;[s]
3:0,0;139,1;158,2;255,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
Use the Normal command to convert the asymptotic expression into a legitimate polynomial:
;[s]
3:0,0;7,1;15,2;89,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
P[x_] = Normal[%]
:[font = text; inactive; preserveAspect; ]
Note that this definition requires a simple equals signnot the usual colon-equals sign.
;[s]
3:0,0;56,1;59,2;89,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
Now graph the Taylor polynomial
:[font = input; preserveAspect; ]
Plot[ P[x], {x,-Pi,Pi} ];
:[font = text; inactive; preserveAspect; ]
P[x] looks a lot like the sine curve!
;[s]
2:0,0;5,1;38,-1;
2:1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
We can see how closly the sine curve and its Taylor polynomials agree by plotting them together on the same graph.
:[font = text; inactive; pageBreak; preserveAspect; ]
First, compare the Taylor polynomial of degree 1
:[font = input; preserveAspect; ]
P[x_] = Normal[ Series[ f[x], {x,0,1} ] ]
:[font = text; inactive; preserveAspect; ]
The Taylor polynomial of degree 1 is simply the line y = x
:[font = input; preserveAspect; ]
Plot[ {f[x],P[x]}, {x,-Pi,Pi} ];
:[font = text; inactive; preserveAspect; ]
These two functions, y = sin x and y = x, have the same Y-intercept (0) and the same slope (1) at x=0.  In other words, P[x] is the best-fitting polynomial of degree 1.
;[s]
7:0,0;20,1;31,2;34,3;40,4;119,5;125,6;169,-1;
7:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
Here is the sine's Taylor polynomial of degree 3
:[font = input; preserveAspect; ]
P[x_] = Normal[ Series[ f[x], {x,0,3} ] ]
:[font = input; preserveAspect; ]
Plot[ {f[x],P[x]}, {x,-Pi,Pi} ];
:[font = text; inactive; preserveAspect; ]
It is the best-fitting (near x=0) polynomial of degree 3.
:[font = text; inactive; preserveAspect; ]
Here is the best fitting polynomial of degree 5
:[font = input; preserveAspect; ]
P[x_] = Normal[ Series[ f[x], {x,0,5} ] ]
:[font = input; preserveAspect; ]
Plot[ {f[x],P[x]}, {x,-Pi,Pi} ];
:[font = text; inactive; preserveAspect; ]
Notice, as the degree of the Taylor polynomial increases, the extent to which the polynomial and the sine curve agree expands.
:[font = text; inactive; preserveAspect; ]
Here is the Taylor polynomial of degree 7
:[font = input; preserveAspect; ]
P[x_] = Normal[ Series[ f[x], {x,0,7} ] ]
:[font = input; preserveAspect; ]
Plot[ {f[x],P[x]}, {x,-Pi,Pi} ];
:[font = text; inactive; preserveAspect; ]
These two graphs seem to coincide on almost the entire interval.
:[font = input; preserveAspect; ]
P[x_] = Normal[ Series[ f[x], {x,0,9} ] ]
:[font = input; preserveAspect; ]
Plot[ {f[x],P[x]}, {x,-Pi,Pi} ];
:[font = text; inactive; preserveAspect; ]
Now the two curves seem indistinguishable throughout the interval [-Pi,Pi].  Actually, P[x] = f[x] only at x=0.  But they are so close at other x-values in this interval that their graphs cannot be distinguished at this resolution.
;[s]
7:0,0;65,1;74,2;86,3;99,4;106,5;110,6;232,-1;
7:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
Of course, we can detect the difference between the curves if we look closer
:[font = input; preserveAspect; ]
Plot[ {f[x],P[x]}, {x,1.999,2.001} ];
:[font = text; inactive; preserveAspect; ]
We can also see that the Taylor polynomial is still different from f on a larger interval
:[font = input; preserveAspect; ]
Plot[ {f[x],P[x]}, {x,-2Pi,2Pi} ];
:[font = text; inactive; pageBreak; preserveAspect; ]
Compare again the sine curve with its 5th Taylor polynomial
:[font = input; preserveAspect; ]
P[x_] = Normal[ Series[ f[x], {x,0,5} ] ]
:[font = input; preserveAspect; ]
Plot[ {f[x],P[x]}, {x,-Pi,Pi} ];
:[font = text; inactive; preserveAspect; endGroup; ]
To get a better estimate on the extent to which the function and its polynomial agree, click on the graph, and then move the cursor (with the mouse) near the place where the curves separate, while holding down the Command key.  You will see the coordinates of the cursor displayed at the lower right corner of the window.  This way, you should be able to conclude that the two curves agree on the interval -1.7  x  1.7, approximately.
;[s]
9:0,0;214,1;221,2;405,3;411,4;412,5;415,6;416,7;420,8;436,-1;
9:1,11,8,Times,0,12,0,0,0;1,11,9,Helvetica,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Exercises
:[font = text; inactive; preserveAspect; ]
Compare each of the following functions with its Taylor polynomials centered at x=0.  Determine the interval on which the function agrees with its 5th Taylor polynomial
;[s]
3:0,0;79,1;83,2;169,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
1.  f[x_] := Exp[-x^2]
:[font = text; inactive; preserveAspect; ]
2.  f[x_] := Log[1+x^2]
:[font = text; inactive; preserveAspect; ]
3.  f[x_] := Tan[x]
:[font = text; inactive; preserveAspect; ]
4.  f[x_] := Sec[x]
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
5.  f[x_] := 4 + 9x - 5x^2 + 3x^4
:[font = section; inactive; Cclosed; pageBreak; preserveAspect; startGroup; ]
Taylor's Theorem
:[font = text; inactive; preserveAspect; ]
Taylor's Theorem gives us a remainder term that allows us to estimate how far apart the function is from its Taylor polynomial at any x.  The (Cauchy) formula for the remainder term is:
				R = M x^(n+1)/(n+1)!
				
where M is a bound on the absolute value of the (n+1)st derivative of f on the given interval.
;[s]
10:0,0;28,1;43,2;186,3;190,4;216,5;221,6;224,7;285,8;288,9;310,-1;
10:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Example
:[font = text; inactive; preserveAspect; ]
Consider the sine function again:  Sin[x]
;[s]
2:0,0;33,1;41,-1;
2:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
To apply the remainder formula, we first need to get a bound M on the absolute value of the (n+1)st derivative.  In many case, that is very difficult, and in some cases impossible.  However, for the sine function it is trivial: since -1  sin x  1 and -1  cos x  1 for all x, all dreivatives of the sine are bounded between -1 and 1.  So the value M=1 is a valid bound.  Thus, the remainder from using the nth Taylor polynomial to approximate the sine function at x is:
;[s]
17:0,0;60,1;63,2;87,3;92,4;237,5;238,6;245,7;246,8;256,9;257,10;264,11;265,12;350,13;355,14;466,15;469,16;472,-1;
17:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
R[n_,x_] := x^(n+1)/(n+1)!
:[font = input; preserveAspect; ]
R[n,x]
:[font = text; inactive; preserveAspect; ]
So, suppose now that we want to approximate the sine function by one of its Taylor polynomials, and we want the approximation to be correct to 8  decimal places for all x between -Pi and Pi.  Which Taylor polynomials will give us that degree of accuracy?
;[s]
7:0,0;168,1;171,2;178,3;183,4;186,5;189,6;255,-1;
7:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
All we have to do is find which value of n will make R[n,x] < 5*10^-9 for all x between -Pi and Pi.  
This will hold if n is big enough to make R[n,Pi] < 5*10^-9.
;[s]
11:0,0;52,1;70,2;77,3;80,4;87,5;92,6;95,7;98,8;143,9;161,10;163,-1;
11:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
Table[ { n, R[n,N[Pi]] }, {n,1,20} ]  //  TableForm
:[font = text; inactive; preserveAspect; ]
This shows that, once n is greater than 18, the remainder R[n,x] will be less than 5*10^-9.  Thus, if we use the 19th Taylor polynomial to approximate sin x, then our approximations will be correct to 8 decimal places for all x between -Pi and Pi.
;[s]
15:0,0;21,1;24,2;57,3;65,4;82,5;90,6;150,7;156,8;225,9;228,10;235,11;240,12;243,13;246,14;248,-1;
15:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
f[x_] := Sin[x];
P[x_] = Normal[ Series[ Sin[x],{x,0,19} ] ]
:[font = text; inactive; pageBreak; preserveAspect; ]
Now we can verify our conclusion directly.  Here is a table of value for f[x], P[x], and their difference, for values of x near Pi (where the difference will be the greatest)
;[s]
7:0,0;72,1;83,2;120,3;123,4;127,5;131,6;175,-1;
7:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
N[ Table[{f[x],P[x],f[x]-P[x]},{x,3.00,3.15,0.01}], 10]  // 
	TableForm
	
:[font = text; inactive; preserveAspect; ]
Clearly, the polynomial P[x] is within 5*10^-9 for all x in this range.
;[s]
5:0,0;23,1;29,2;54,3;57,4;72,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; endGroup; ]
This table also shows that, the smaller x is, the closer the agreement will be between f[x] and P[x].
;[s]
5:0,0;86,1;92,2;95,3;100,4;102,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Exercises
:[font = text; inactive; preserveAspect; ]
1.  Determine which Taylor polynomials will approximate Sin[x] accurately to
     4 decimal places in the range -Pi to Pi.
;[s]
7:0,0;55,1;63,2;111,3;116,4;118,5;121,6;123,-1;
7:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
2.  Determine which Taylor polynomials will approximate Sin[x] accurately to
     12 decimal places in the range 0 to Pi/2.
;[s]
7:0,0;55,1;63,2;112,3;115,4;117,5;122,6;124,-1;
7:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
3.  Determine which Taylor polynomials will approximate Log[1+x] accurately to
     4 decimal places in the range 0 to 1.
;[s]
7:0,0;55,1;65,2;113,3;116,4;118,5;120,6;122,-1;
7:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; endGroup; endGroup; endGroup; ]
4.  Determine which Taylor polynomials will approximate Exp[-x^2] accurately to
     8 decimal places in the range 0 to 1.
;[s]
7:0,0;55,1;66,2;114,3;117,4;119,5;121,6;123,-1;
7:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
^*)